Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/diod: new aport

From: Pavel Renev <an2qzavok_at_gmail.com>
Date: Wed, 28 Oct 2015 21:26:27 +0300

http://github.com/chaos/diod
diod is a multi-threaded, user space file server that speaks 9P2000.L protocol.
---
 testing/diod/APKBUILD | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++
 testing/diod/diod     |  7 +++++++
 2 files changed, 60 insertions(+)
 create mode 100644 testing/diod/APKBUILD
 create mode 100755 testing/diod/diod
diff --git a/testing/diod/APKBUILD b/testing/diod/APKBUILD
new file mode 100644
index 0000000..bc289fb
--- /dev/null
+++ b/testing/diod/APKBUILD
_at_@ -0,0 +1,53 @@
+# Contributor: An2Q ZaVok <an2qzavok_at_gemail.com>
+# Maintainer:
+pkgname=diod
+pkgver=1.0.24
+pkgrel=0
+pkgdesc="diod is a multi-threaded, user space file server that speaks 9P2000.L protocol."
+url="http://github.com/chaos/diod"
+arch="all"
+license="GPLv2"
+depends="lua5.1 libcap"
+depends_dev="attr-dev lua5.1-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/chaos/diod/archive/master.zip
+diod"
+
+_builddir="$srcdir"/diod-master
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh || return 1
+	./configure --prefix=/usr/ --sysconfdir=/etc --sbindir=/usr/bin CFLAGS=-O2 || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	ln -s /usr/bin/diodmount "$pkgdir"/usr/bin/mount.diod
+	#replacing systemd.service with openrc script
+	rm -rf "$pkgdir/etc/systemd"
+	mkdir "$pkgdir/etc/init.d"
+	cp "$srcdir/diod" "$pkgdir/etc/init.d"
+	chmod +x "$pkgdir/etc/init.d"
+
+}
+
+md5sums="a31cf0aba61eb6c293a0f15c093cfbec  master.zip
+18f81219f1a64ac596ff94e595689d43  diod"
+sha256sums="297684512f6c00d2c835357e946f1961030019d5836e56911c8aeca090d72451  master.zip
+48d8db2ffc992a2bc8f4d5446e804004932a0050cfd9d6e7b85824474e43b9b6  diod"
+sha512sums="36488bf4a6b42b1cf8bc8b5370ea913084b59394258c9337ae3d11015d4d71cf60d71366445b208e026baaf96aec8679ee9efda7a43c8b06bc54a47dc45aba8f  master.zip
+963721cb06a5761101387b869f7513ffcfd2cd0e1b1bb57fb3c987d18827bc4bac6e66556b9ae6c67d3581c04565052aed410513fb2294d1e1fa235bbd7aaf9c  diod"
diff --git a/testing/diod/diod b/testing/diod/diod
new file mode 100755
index 0000000..44de6b7
--- /dev/null
+++ b/testing/diod/diod
_at_@ -0,0 +1,7 @@
+#!/sbin/runscript
+
+start() {
+	ebegin
+		start-stop-daemon --start -p /var/run/diod.pid -mbx /usr/bin/diod -- -f
+	eend $?
+}
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 28 2015 - 21:26:27 GMT